# gRPC(Mainnet & Testnet Full node, Mainnet Archive)

{% hint style="info" %}
Please download the latest .proto file from the official GitHub and save it locally. <https://github.com/MystenLabs/sui-apis/tree/main/proto>
{% endhint %}

{% hint style="info" %}
Please note that JSON-RPC APIs are only for pruned data. Users requiring archival data should create a SUI Mainnet Archive endpoint and use gRPC.

SUI has announced plans to deprecate the JSON-RPC API. Please refer to the official SUI announcement for the specific timeline. As an official partner, BlockPI will align with SUI’s plan to phase out JSON-RPC support.
{% endhint %}

### TransactionExecutionService <a href="#coin-query-api" id="coin-query-api"></a>

* [ExecuteTransaction](/build/api-reference/sui/grpc/suix_getallbalances.md)
* [SimulateTransaction](/build/api-reference/sui/grpc/suix_getallbalances-13.md)

### LedgerService

* [BatchGetObjects](/build/api-reference/sui/grpc/suix_getallbalances-1.md)
* [BatchGetTransactions](/build/api-reference/sui/grpc/suix_getallbalances-2.md)
* [GetCheckpoint](/build/api-reference/sui/grpc/suix_getallbalances-3.md)
* [GetEpoch](/build/api-reference/sui/grpc/suix_getallbalances-4.md)
* [GetObject](/build/api-reference/sui/grpc/suix_getallbalances-5.md)
* [GetServiceInfo](/build/api-reference/sui/grpc/suix_getallbalances-6.md)
* [GetTransaction](/build/api-reference/sui/grpc/suix_getallbalances-7.md)

### StateService

* [GetBalance](/build/api-reference/sui/grpc/suix_getallbalances-8.md)
* [GetCoinInfo](/build/api-reference/sui/grpc/suix_getallbalances-9.md)
* [ListBalances](/build/api-reference/sui/grpc/suix_getallbalances-10.md)
* [ListDynamicFields](/build/api-reference/sui/grpc/suix_getallbalances-11.md)
* [ListOwnedObjects](/build/api-reference/sui/grpc/suix_getallbalances-12.md)

### MovePackageService

* [GetPackage](/build/api-reference/sui/grpc/suix_getallbalances-13-1.md)
* [GetDatatype](/build/api-reference/sui/grpc/suix_getallbalances-13-2.md)
* [GetFunction](/build/api-reference/sui/grpc/suix_getallbalances-13-3.md)
* [ListPackageVersions](/build/api-reference/sui/grpc/suix_getallbalances-13-4.md)

### NameService

* [LookupName](/build/api-reference/sui/grpc/suix_getallbalances-13-5.md)
* [ReverseLookupName](/build/api-reference/sui/grpc/suix_getallbalances-13-6.md)

### SubscriptionService <a href="#move-utils" id="move-utils"></a>

* [SubscribeCheckpoints](/build/api-reference/sui/grpc/suix_getallbalances-14.md)

### SignatureVerificationService <a href="#transaction-builder-api" id="transaction-builder-api"></a>

* [VerifySignature](/build/api-reference/sui/grpc/suix_getallbalances-15.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.blockpi.io/build/api-reference/sui/grpc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
